<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DASHBOARD_PROJECT_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include($path_to_root . "/includes/ui/ui_input.inc"); 
include_once($path_to_root . "/dashboard/includes/ui/view_dashboard_project_expenses_ui.inc"); 
include_once($path_to_root . "/dashboard/includes/db/view_dashboard_project_expenses_db.inc"); 
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 
include_once($path_to_root . "/inventory/includes/db/petty_cash_item_receive_db.inc"); 
include_once($path_to_root . "/transport/includes/db/vehicles_db.inc"); 
include_once($path_to_root . "/assets/includes/db/assets_db.inc"); 

$js = "";
$js .= get_js_open_window(900, 500);

page(_($help_context = "Dashboard Project Expenses View"), true, false, "", $js);

$from_date = $to_date = '';
$expense_type_id = $project_id = 0;

if (isset($_GET['pid'])) {
    $project_id = $_GET['pid'];
}
if (isset($_GET['expt'])) {
    $expense_type_id = $_GET['expt'];
}
if (isset($_GET['from_date'])) {
    $from_date = $_GET['from_date'];
}
if (isset($_GET['to_date'])) {
    $to_date = $_GET['to_date'];
}

dashboard_view_project_expenses($expense_type_id, $from_date, $to_date, $project_id);

end_page(true, false, false, DASH_SC_PROJECT_EXPENSES, $_GET['pid']);

?>